Draft Texte

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Hatch.svg Hachure
Page suivante : Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Draft Texte

Emplacement du menu
Annotation → Texte
Ateliers
Draft, Arch
Raccourci par défaut
T E
Introduit dans la version
0.7
Voir aussi
Draft Étiquette, Draft Formes à partir de texte

Description

La commande Draft Text.svg Draft Texte crée un texte de plusieurs lignes à un endroit donné.

Pour créer un élément de texte avec une flèche, utilisez plutôt la commande Draft Étiquette.

Draft Text example.png

Un seul point est nécessaire pour positionner le texte

Utilisation

Voir aussi : Draft La barre et Draft Aimantation.

  1. Il existe plusieurs façons de lancer la commande :
  2. Le panneau de tâches Text s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez un point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Saisissez le texte souhaité, appuyez sur Entrée pour commencer une nouvelle ligne.
  5. Appuyez deux fois sur Entrée ou sur le bouton Button valid.svg Insérer du texte pour terminer la commande.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs de X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • La case à cocher Relative n'a aucune utilité pour cette commande.
  • Appuyez sur G ou cliquez sur la case Global pour basculer en mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Cliquez sur la case Continue du deuxième panneau de tâches pour activer le mode continu. Le raccourci clavier T ne fonctionne pas. Si le mode continu est activé, la commande redémarre après avoir été terminée, ce qui vous permet de continuer à créer des textes.
  • Appuyez sur S pour activer ou désactiver Draft Aimantation.
  • Appuyez sur Echap ou sur le bouton Fermer pour interrompre la commande.

Remarques

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Texte est dérivé d'un objet App FeaturePython et hérite de toutes ses propriétés. Les propriétés suivantes sont supplémentaires, sauf indication contraire :

Données

Base

  • DonnéesPlacement (Placement) : spécifie la position du texte dans la Vue 3D. Voir Placement.
  • DonnéesText (StringList) : spécifie le contenu du texte. Chaque élément de la liste représente une nouvelle ligne de texte.

Vue

Annotation

  • VueAnnotation Style (Enumeration) : spécifie le style d'annotation appliqué au texte. Voir Draft Éditeur styles d'annotations.
  • VueScale Multiplier (Float) : spécifie le facteur d'échelle général appliqué au texte.

Display Options

  • VueDisplay Mode (Enumeration) : spécifie comment le texte est affiché. S'il s'agit de 3D text, le texte sera affiché dans un plan défini par sa DonnéesPlacement. S'il s'agit de 2D text, le texte fera toujours face à la caméra. Il s'agit d'une propriété héritée.

Graphics

  • VueLine Color (Color) : non utilisé.
  • VueLine Width (Float) : non utilisé.

Text

  • VueFont Name (Font) : spécifie la police utilisée pour dessiner le texte. Il peut s'agir d'un nom de police, tel que Arial, d'un style par défaut tel que sans, serif ou mono, d'une famille telle que Arial,Helvetica,sans, ou d'un nom avec un style tel que Arial:Bold. Si la police donnée n'est pas trouvée sur le système, une police par défaut est utilisée à la place.
  • VueFont Size (Length) : spécifie la taille des lettres. Le texte peut être invisible dans la Vue 3D si cette valeur est très petite.
  • VueJustification (Enumeration) : spécifie si l'alignement du texte : Left, Center ou Right.
  • VueLine Spacing (Float) : spécifie le facteur appliqué à la hauteur de ligne par défaut du texte.
  • VueText Color (Color) : spécifie la couleur du texte.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Texte, utilisez la méthode make_text (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeText.

text = make_text(string, placement=None, screen=False)
  • Crée un objet text, au placement qui peut être un FreeCAD.Placement mais aussi une FreeCAD.Rotation ou un FreeCAD.Vector.
  • string est une chaîne de caractères ou une liste de chaînes de caractères. Si c'est une liste, chaque élément est affiché sur sa propre ligne.
  • Si screen est True, le texte fait toujours face à la caméra, sinon il est affiché dans un plan défini par DonnéesPlacement.

Les propriétés d'affichage de text peuvent être modifiées en écrasant ses attributs, par exemple en changeant ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()


Arrow-left.svg Page précédente : Draft Hatch.svg Hachure
Page suivante : Dimension Draft Dimension.svg Arrow-right.svg